// MyFormView.h : header file
//
#include "SwitchDoc.h"

/////////////////////////////////////////////////////////////////////////////
// CMyFormView form view

#ifndef __AFXEXT_H__
#include <afxext.h>
#endif

class CMyFormView : public CFormView
{
public:
	CMyFormView();           
	DECLARE_DYNCREATE(CMyFormView)

// Form Data
public:
	//{{AFX_DATA(CMyFormView)
	enum { IDD = IDD_FRMVW };
	CComboBox	m_SelectedRect;
	int		m_curBottom;
	int		m_curLeft;
	int		m_curRight;
	int		m_curTop;
	//}}AFX_DATA

// Attributes
public:
	CSwitchDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMyFormView)
	public:
	virtual void OnInitialUpdate();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CMyFormView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
	//{{AFX_MSG(CMyFormView)
	afx_msg void OnRectSelection();
	afx_msg void OnUpdateRect();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in mvi3View.cpp
inline CSwitchDoc* CMyFormView::GetDocument()
   { return (CSwitchDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
